﻿/*
--------------------------------------------------------
icnAddContact style
-------------------------------------------------------- */
.icnAddContactContainer{
    margin-top: 10px;
    margin-bottom: 30px;
    background-color: #ffffff;
}

.icnAddContactContainer .searchShortName{
    position: absolute;
    right:0px;
    top:0px;
}

.icnAddContactContainer .contactBtnComm{
    font-family: WebIconFont;
    width: 45px;
    height: 45px;
    font-size: 24px;
    text-align: center;
    line-height: 45px;
    cursor: pointer;
    background-color: #ecf0f1;
    color:#676767;
}

.icnAddContactContainer .contactBtnComm:hover{
    color:#000000;
}

/* Contact dropdown style */
.icnOneContactTypeInputStyle{
    color:#343434 !important;
    background-color: transparent;
}

.icnOneContactTypeListStyle{
    background-color: #ffffff;
    width:calc(100% - 2px);
    border:solid 1px #cccccc;
}

.icnOneContactTypeListStyle li{
    background-color: #ffffff;
}

/*
--------------------------------------------------------
icnImageEffector style
-------------------------------------------------------- */
.icnImageEffectorContainer{
    position: fixed;
    left:0px;
    top:0px;
    width:100%;
    height: 100%;
    padding:0px;
    margin:0px;
    overflow: hidden;
    background-color: rgba(255, 255, 255, 1);
}

.icnImageEffectorContainer .wrapperIE{
    width: 100%;
    max-width: 500px;
    height: 100%;
    margin:0px auto;
    overflow-x: hidden;
    overflow-y: auto;
}

/* TOP ---------------------------------------- */
.icnImageEffectorContainer .wrapperIE .ieTop{
    display: block;
    position: sticky;
    top: 0px;
    height:60px;
    background-color:rgba(255, 255, 255, 0.9);
}

.icnImageEffectorContainer .wrapperIE .ieTop .closeBtn{
    font-family: WebIconFont;
    color:#000000;
    position: absolute;
    top:0px;
    right:0px;
    width: 60px;
    height:60px;
    line-height: 60px;
    text-align: center;
    font-size: 30px;
    cursor: pointer;
}

.icnImageEffectorContainer .wrapperIE .ieTop .closeBtn:hover{
    background-color:rgba(230, 230, 230, 0.9);
}

/* MIDDLE ---------------------------------------- */
.icnImageEffectorContainer .wrapperIE .ieMiddle{
    position: relative;
    /* Min-height should be defined so that the bottom sticky is located in the bottom in case short content is filled in the middle location */
    min-height:calc(100% - 160px);
}

/* BOTTOM ---------------------------------------- */
.icnImageEffectorContainer .wrapperIE .ieBottom{
    position: sticky;
    bottom: 0px;
    width:100%;
    height:100px;
    background-color:rgba(0, 0, 0, 0.8);
    overflow:visible;
}

.icnImageEffectorContainer .wrapperIE .ieBottom .slider{
    position: absolute;
    display: block;
    width:calc(100% - 40px);
    left:0px;
    bottom: 100%;
    padding:30px 20px 20px 20px;
    background-color:rgba(10, 10, 10, 0.6);
}

.icnImageEffectorContainer .wrapperIE .ieBottom .slider .label{
    color:#ffffff;
    margin-bottom: 5px;
}

.icnImageEffectorContainer .wrapperIE .ieBottom .slider .clear{
    font-family: WebIconFont;
    color:#ffffff;
    position: absolute;
    top:0px;
    right:0px;
    width: 40px;
    height:40px;
    line-height: 40px;
    text-align: center;
    font-size: 26px;
    cursor: pointer;
}

.icnImageEffectorContainer .wrapperIE .ieBottom .slider .clear:hover{
    color:#000000;
    background-color:rgba(250, 250, 250, 0.4);
}

.icnImageEffectorContainer .wrapperIE .ieBottom .btnContainer{
    width: calc(100% - 10px);
    padding:10px 0px 10px 10px;
    overflow-x: auto;
    overflow-y: visible;
    /* Important for horizontal scroll */
    white-space: nowrap;
}

.icnIeControlOneImage{
    position: relative;
    display: inline-block;
    vertical-align: middle;
    width: 56px !important;
    height: 56px !important;
    border: solid 2px transparent;
    color:#ffffff;
    margin-right: 10px;
    border-radius: 5px;
    cursor: pointer;
}

.icnIeControlOneImage .imgBtn{
    width: 100%;
    height:100%;
    background-color:transparent;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 5px;
}

.icnIeControlOneImage:hover{
    border: solid 2px #ffffff;
}

.icnIeControlOneImageSelected{
    border: solid 2px #ffff00 !important;
}

.icnIeControlOneImage .applied{
    position: absolute;
    top:6px;
    left:calc(50% - 3px);
    width:6px;
    height:6px;
    border-radius: 3px;
    background-color:#ff7700;
    border:solid 1px #ffffff;
}



ul.icnIEControl{
    position: relative;
    display: table;
    width: calc(100% - 40px) !important;
    padding: 10px 20px;
}

ul.icnIEControl li{
    position: relative;
    display: table-cell;
    vertical-align: top !important;
}

ul.icnIEControl li.label{
    width:130px !important;
}

/* Range style */
input[type="range"].icnIEInput{
    width: 100%;
    -webkit-appearance: none;
    border-top: 1px solid #cccccc;
    height:0px;
}

input[type="range"].icnIEInput:focus{
    outline: none;
}

input[type='range'].icnIEInput::-webkit-slider-thumb {
    -webkit-appearance: none;
    background-color: #ffffff;
    border: 1px solid #bdc3c7;
    width: 20px;
    height: 20px;
    border-radius: 10px;
    cursor: pointer;
    transition: 0.4s all ease-out;
}

.firefox input[type=range].icnIEInput::-moz-range-track {
    height: 0px;
    border-top: 1px solid #cccccc;
}
.firefox input[type=range].icnIEInput::-moz-range-thumb {
    background: #ffffff;
    border: 1px solid #bdc3c7;
    width: 20px;
    height: 20px;
    border-radius: 10px;
    cursor: pointer;
    transition: 0.4s all ease-out;
}


/*
--------------------------------------------------------
icnPlaceSelector style
-------------------------------------------------------- */
.icnPlaceSelectorHeader{
    font-family: Capriola;
    padding: 10px 20px;
    font-size: 24px;
    /*text-transform: uppercase;*/
    color:#acacac;
}
.icnPlaceSelectorContainer{
    position: absolute;
    top:0px;
    left:0px;
    display: table;
    width: 100%;
    height: 100%;
}

.icnPlaceSelectorBtnSmall{
    display: inline-block;
    cursor: pointer;
    font-size:12px;
    padding:7px 10px;
    margin-left:5px;
    color:#ffffff;
}

.icnPlaceSelectorContainer .contentWrapper{
    position: relative;
    display: table-cell;
    vertical-align: middle;
    height: auto;
    overflow-x: hidden;
    overflow-y: auto;
    background-color: rgba(255, 255, 255, 0.9);
}

.icnPlaceSelectorContainer .contentWrapper .close{
    position: absolute;
    right: 20px;
    top: 20px;
    font-family: WebIconFont;
    font-size:30px;
    cursor: pointer;
    padding:10px;
}

.icnPlaceSelectorContainer .contentWrapper .close:hover{
    color:#ff0000;
    background-color:#efefef;
}

ul.icnPlaceSelector{
    max-height: 300px;
    overflow-x: hidden;
    overflow-y: auto;
    background-color:#f2f2f2;
}
ul.icnPlaceSelector li{
    position: relative;
    height:45px;
    line-height: 45px;
    padding: 0px 40px 0px 20px;
    cursor: pointer;
    background-color: rgba(255, 255, 255, 0);
    overflow: hidden;
    word-wrap: break-word;
}

ul.icnPlaceSelector li:hover{
    background-color: rgba(230, 230, 230, 1);
}

ul.icnPlaceSelector li.selected{
}

ul.icnPlaceSelector li.selected::after{
    content:"\e808";
    font-family: WebIconFont;
    position: absolute;
    top:0px;
    right:20px;
    color:#ff9900;
    font-weight: bold;
    font-size: 18px;
}

/*
--------------------------------------------------------------------------------
icnEmoji style
-------------------------------------------------------------------------------- */
.icnEmojiOne{
    display: inline-block;
    width:35px;
    height: 35px;
    line-height: 35px;
    text-align: center;
    vertical-align: middle;
    font-size: 20px;
    cursor: pointer;
    color:#00a499;
    margin: 0px 5px 5px 0px;
    background-color:#f0f0f0;
}

.icnEmojiOne:hover{
    background-color:#dfdfdf;
}

/*
-----------------------------------------------------------------------
icnModalInput
----------------------------------------------------------------------- */
.icnModalInputWrapper{
    position: fixed;
    width: 100%;
    height:100%;
    left: 0px;
    top: 0px;
    display: table;
    background-color:rgba(0, 0, 0, 0.7);
    opacity: 0;
}

/* This is to set the content to the middle of the page */
.icnModalInputWrapper .modalContent{
    display: table-cell;
    vertical-align: middle;
    padding:30px;
}

.icnModalInputWrapper .modalContent ul.modalInput{
    max-width: 300px;
    margin:0px auto;
    background-color:#ffffff;
    padding:40px;
}

.icnModalInputWrapper .modalContent ul.modalInput li{ padding:5px 0px; }

.icnModalInputWrapper .modalContent ul.modalInput li.label{
    color:#787878;
    text-transform: uppercase;
}

/*
--------------------------------------------------------------------------------
icnCheckbox style
-------------------------------------------------------------------------------- */
ul.icnCheckbox{
    position: relative;
    color: inherit;
    clear: both;
    overflow: hidden !important;
}

ul.icnCheckbox li{
    position: relative;
    cursor: pointer;
    width: auto !important;
}

ul.icnCheckbox li.radioLabelDisabled {
    color:#cccccc !important;
}



/*
--------------------------------------------------------------------------------
icnCaptcha style
-------------------------------------------------------------------------------- */
.icnCaptcha{
    position: relative;
}

.icnCaptcha .icnCaptchaItem{ display: inline-block;vertical-align: top; }

input.icnCaptchaInput{
    width: 40px !important;
    text-align: center;
    font-size: 16px;
    padding: 3px 10px !important;
    background-color: transparent;
    border-bottom: solid 1px #ffffff !important;
    color:#ffffff;
}

.icnCaptchaRefresh{
    font-family: WebIconFont;
    font-size:20px;
    display: inline-block;
    vertical-align: bottom;
    cursor: pointer;
    color:#ffffff;
    padding:0px 0px 0px 0px;
    margin: 0px 5px 5px 10px;
    width:30px;
    height:30px;
    line-height: 30px;
    border-radius: 50%;
    text-align: center;
}

/*
--------------------------------------------------------------------------------
agntrNameSearch style
-------------------------------------------------------------------------------- */
ul.agntrNameSearchPanel{
    position: absolute;
    min-width: 120px;
    width: 100%;
    left:0px;
    top:0px;
    display:none;
    background-color:#ffffff;
    border: solid 1px #cccccc;
}

ul.agntrNameSearchPanel li.selectable{
    padding:10px;
    cursor: pointer;
    display: none;
}

ul.agntrNameSearchPanel li.selectable:hover{
    background-color: #dfdfdf;
}

ul.agntrNameSearchPanel li.more{
    font-size: 11px;
    padding:3px 10px;
    color:#999999;
    border-top: solid 1px #cccccc;
}

ul.agntrNameSearchPanel li.separator{
    padding:0px !important;
    height:0px !important;
    margin:0px 10px;
    cursor: default;
    border-bottom: solid 1px #efefef;
}

span.agntrNameListIcn{
    font-size: 11px;
    padding-left: 5px;
}


/*
--------------------------------------------------------------------------------
icnLoading style
-------------------------------------------------------------------------------- */
.icnLoadingDIV{
    position:absolute;
    top:0px;
    left:0px;
    /* width:100%; <-- set in the code */ 
    /* height:100%; <-- set in the code*/
    background-color: rgba(240, 240, 240, 0.7);
    text-align:center;
}

.spinner {
    position:relative;
    top:45%;
    width: 40px;
    height: 40px;
    margin:auto;
}

.double-bounce1, .double-bounce2 {
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background-color: #4caf50;
  opacity: 0.7;
  position: absolute;
  top: 0;
  left: 0;
  
  -webkit-animation: sk-bounce 3.0s infinite ease-in-out;
  animation: sk-bounce 3.0s infinite ease-in-out;
}

.double-bounce2 {
  -webkit-animation-delay: -1.0s;
  animation-delay: -1.0s;
}

@-webkit-keyframes sk-bounce {
  0%, 100% { -webkit-transform: scale(0.0) }
  50% { -webkit-transform: scale(1.0) }
}

@keyframes sk-bounce {
  0%, 100% { 
    transform: scale(0.0);
    -webkit-transform: scale(0.0);
  } 50% { 
    transform: scale(1.0);
    -webkit-transform: scale(1.0);
  }
}

/*
-----------------------------------------------------------------------
icnFileUpload style
----------------------------------------------------------------------- */
.icnFUProgressContainer{
    position: absolute;
    width:calc(100% - 10px);
    padding:5px;
    bottom: 0px;
    background-color: rgba(10, 10, 10, 0.6);
}

.icnFUProgressContainer span.icnFUProgressPercent{
    padding-left:10px;
    color:#ffffff;
    font-style: italic;
}

.icnFUProgressContainer .icnFUProgressBar{
    position: relative;
    display: block;
    height: 3px;
    width: 0%;
    background-color: #e6ff07;
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}


/*
--------------------------------------------------------------------------------
icnDropdown style
-------------------------------------------------------------------------------- */
.inputGroup input[type="text"].dropDownStyle, input[type="password"].dropDownStyle {
    position: relative;
    width:calc(100% - 20px) !important;
    cursor:pointer;
}

.dropArrow{
    font-family:WebIconFont !important;
    position: absolute;
    display: table;
    right:0px;
    top:7px;
    height:100%;
    min-width:20px;
    text-align:right;
    font-size:inherit;
    color:#03a9f4 !important;
    -webkit-transition: all 0.4s ease-in-out;
    -moz-transition: all 0.4s ease-in-out;
    -o-transition: all 0.4s ease-in-out;
    transition: all 0.4s ease-in-out;
    cursor: pointer;
    vertical-align: middle;
}

.dropArrow span{ display: table-cell; vertical-align: middle; height:100% !important; padding:0px 2px 0px 0px; }

.dropArrowRot{
    -webkit-transform: rotateX(180deg);
    -moz-transform: rotateX(180deg);
    -ms-transform: rotateX(180deg);
    -o-transform: rotateX(180deg);
    transform: rotateX(180deg);
}

/* background and color is defined in parent module */
ul.ulDropDownStyle{
    position:absolute;
    top:calc(100% + 1px);
    left:0px;
    width:100%;
    max-height:170px;
    overflow-x:hidden;
    overflow-y:auto;
    display:none;
}
    ul.ulDropDownStyle li {
        display: block !important;
        text-align: left;
        position:relative;
        padding:8px 10px;
        line-height:20px;
        cursor: pointer;
    }

    ul.ulDropDownStyle li.selected {
        background-color:#00bcd4 !important;
        color:#ffffff !important;
    }

    ul.ulDropDownStyle li.selected:hover{
        background-color:#25b8c9 !important;
    }

    ul.ulDropDownStyle li:hover {
        background-color:#03a9f4 !important;
        color:#ffffff !important;
    }


/*
------------------------------------------------------------------------
icnDropdown style
------------------------------------------------------------------------ */
ul.icnToastContainer{
    position:absolute;
    right:20px;
    top:10px;
}

.icnToastContainerFixed {
    position: fixed;
    right:20px;
    top:50px;
}

ul.icnToastContainer li{
    line-height:1.5;
    padding:10px;
    margin:5px 0px;
    color:#ffffff;
    background-color:#1496bb;
    width:200px;
    opacity:0;
    text-align:center;

    -webkit-transition: all 0.3s ease-out;
    -moz-transition: all 0.3s ease-out;
    -o-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;

    /* effect */
    border-radius: 3px;
    -webkit-box-shadow: 0px 0px 7px -1px rgba(56, 56, 56, 1);
    -moz-box-shadow: 0px 0px 7px -1px rgba(56, 56, 56, 1);
    -o-box-shadow: 0px 0px 7px -1px rgba(56, 56, 56, 1);
    box-shadow: 0px 0px 7px -1px rgba(56, 56, 56, 1);
}